Skip to main content
PUT
Updates a sensor

Authorizations

Authorization
string
header
required

OAuth2 Bearer Authorization

Path Parameters

uuid
string
required

UUID of the Sensor

Pattern: ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$

Body

application/json

Updates a sensor. Required permission: asset:sensors:update

chargepoint_uuid
string
required

The UUID of the charge point this sensor is assigned to. Each chargepoint can have at most one parking sensor.

Pattern: ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
last_status
enum<string>

The most recently reported parking status of this sensor. Possible values are: Available, Occupied. This value is updated whenever the sensor sends a new status update.

Available options:
Available,
Occupied,
Parked,
Unavailable,
Unknown
Example:

"Occupied"

name
string

A label for this sensor, used to identify it within the system

Maximum string length: 255
Example:

"Sensor Bay 3"

interface_name
string

The name of the external interface or integration through which this sensor reports its status. Used to identify which partner system or sensor provider is the source of the status updates.

Maximum string length: 255
ext_id
string

External identifier of the sensor as assigned by the sensor provider's system.

Maximum string length: 255

Response

Sensor edited

sensor
object
required

Sensor